﻿using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework;
using GGJ_Engine;

namespace GGJ_Game
{
    class ScreenInterface : Interface
    {
        public ScreenInterface(GraphicsDevice graphicsDevice, ContentManager content, string textureName) :
            base(graphicsDevice, content)
        {
            InterfaceElements.InterfaceElementScreen graphics = new InterfaceElements.InterfaceElementScreen(content);
            graphics.TextureName = textureName;
            graphics.Rectangle = new Rectangle(0, 0, graphicsDevice.ScissorRectangle.Width, graphicsDevice.ScissorRectangle.Height);
            this.elements.Add(graphics);
        }
    }
}
